---
lang: de-DE
layout: wiki
section: community
category: discord
title: DS⁽ⁱ⁾ Mode Hacking Info
description: Informationen für den DS⁽ⁱ⁾ Mode Hacking Discord Server
---

Dies ist ein Discord Server, der sich auf alle Dinge im Zusammenhang mit Nintendo DS(i) Modding und Homebrew spezialisiert von der Unterstützung beim Einrichten Ihrer Karteikarte bis zur Homebrew-Entwicklung. Dieser Server konzentriert sich auch auf andere Dinge wie das Erstellen von ROM-Hacks, das Spielen von DS Spielen und das TWL_FIRM-Modding auf 3DS.

## Discord-Kanäle
Es gibt viele Kanäle für verschiedene Themen, also stellen Sie sicher, dass Sie den richtigen Kanal verwenden, damit die anderen nicht mit unzusammenhängenden Unterhaltungen überschwemmt werden.

Denken Sie immer daran, das Thema und die angehefteten Nachrichten zu überprüfen, bevor Sie in einem Kanal sprechen.
{:.alert .alert-info}

**Wichtig**
- [#info-and-rules][info-and-rules] - Hier finden Sie kurze Informationen zu den Regeln und Informationen auf diesem Server. Für detailliertere Informationen zu den Regeln siehe [die Regelnseite](discord-rules) in diesem Wiki
- [#Nützliche Ressourcen][useful-resources] - Links zu nützlichen Ressourcen außerhalb des Discord Servers, wie andere Server oder dieses Wiki
- [#Member-Logs][member-logs] - Zeigt Benutzer-Joins und Server-Boosts

**Server-Hub**
- [#announcements][announcements] - Informationen über neue Updates für Homebrew sowie allgemeine Ankündigungen zum Server
- [#github-updates][github-updates] - Feed aller Beiträge zu und Diskussionen in DS-Homebrew Projekt-GitHub Repositories
- [#subreddit-feed][subreddit-feed] - Updates für neue Beiträge im [Subreddit](https://reddit.com/r/NDSBrew)
- [#community-meta][community-meta] - Für Feedback über die Community, einschließlich des Discord-Servers, des Subreddit, und der [GitHub-Organisation](http://github.com/DS-Homebrew)

**Nintendo DS⁽ⁱ⁾ Modding**
- [#nds-help][nds-help] - Haben Sie ein Problem mit irgendeinem Nintendo DS(i) verwandt? Müssen Sie eine allgemeine Frage stellen? Gehen Sie hier voran und liefern Sie alle Informationen, die Sie geben können (Fehlermeldungen, Ihre Konsole, Methoden ausgeführt, Protokolle und so weiter). Behalte das 3DS Modding in #other-console-modding bei, es sei denn, es involviert TWL_FIRM
- [#nds-hardware][nds-hardware] - Hier können Sie über Flashkarten, APP-Patches und allgemeine DS-Verständnisse und Forschung diskutieren. Während dieser Kanal TWL_FIRM auf 3DS abdeckt, halten Sie bitte die Diskussionen im 3DS Modus in #other-console-modding
- [#nds-hacks][nds-hacks] - Sprich über ROM-Hacks, Mods und Cheats für Nintendo DS(i) Titel. Überprüfen Sie die angehefteten Nachrichten auf eine Liste von dedizierten Communities
- [#nds-dev][nds-dev] - Ressourcen und Diskussionen über DS(i) Homebrew Entwicklung. Regelmäßige Diskussionen über bestehende Homebrew sollten in #other-nds-homebrew stattfinden

**Haupt-DS⁽ⁱ⁾ Homebrew Projekte**
- [#nds-bootstrap-dev][nds-bootstrap-dev] - Dieser Kanal ist für Diskussionen über die Entwicklung von nds-bootstrap. Benutze #nds-help für Hilfe
- [#twilight-menu-dev][twilight-menu-dev] - Dieser Kanal ist zur Diskussion der Entwicklung des TWiLight Menü++. Benutze #nds-help für Hilfe
- [#gbarunner3-dev][gbarunner3-dev] - Dieser Kanal ist für Diskussionen über die Entwicklung von GBARunner3. Benutze #nds-help für Hilfe
- [#dsi-ntrboot-dev][dsi-ntrboot-dev] - Dieser Kanal ist für die Diskussion der DSi ntrboot Entwicklung.
- [#web-dev][web-dev] - Diskussion und Vorschläge für [dsi.cfw.guide](https://dsi.cfw.guide/) und alle [DS-Homebrew Seiten](https://ds-homebrew.com/) gehen Sie hierher

**Haupt-DS⁽ⁱ⁾ Homebrew Projekte**
- [#godmode9i][godmode9i] - Dieser Kanal ist für Diskussionen über die Entwicklung von GodMode9i gedacht. Benutze #nds-help für Hilfe
- [#fastvideods][fastvideods] - Dieser Kanal ist zur Diskussion über die Entwicklung des FastVideoDS Players und des Encoders. Benutze #nds-help für Hilfe
- [#other-nds-homebrew][other-nds-homebrew] - Dieses Forum ist für Support, Updates und Diskussionen von Nintendo DS(i) Homebrew, die nicht von anderen Kanälen abgedeckt ist. Es gibt Threads für einzelne Homebrew-Anwendungen und du kannst einen neuen erstellen, wenn es noch keinen Thread dafür gibt

**Community**
- [#off-topic][off-topic] - Ein Kanal für jedes Thema, das nicht unbedingt zu den anderen Kanälen passt. Beiträge von niedrigerer Qualität sollten auf #end-of-server gehalten werden
- [#nds-gaming][nds-gaming] - Ein Ort, um im Allgemeinen über Spiele auf dem DS(i) zu diskutieren und Spieler für das Online-Spiel zu suchen. Überprüfen Sie die angehefteten Nachrichten auf eine Liste von dedizierten Communities
- [#other-console-modding][other-console-modding] - Sprich über Homebrew und Mods für andere Spielsysteme, wie den 3DS wenn nicht in TWL_FIRM
- [#other-dev][other-dev] - Sprich über Programmierung und Entwicklung außer für Nintendo DS
- [#end-of-server][end-of-server] - Für gelegentliches Chatten von geringerer Qualität. Die Regeln sind etwas lockerer, werden aber immer noch durchgesetzt. Hier können Sie Ihre Memes, Bot-Befehle und andere Dinge posten, die eine Diskussion nicht erleichtern

## Rollen & Benutzerkennzeichen
Es gibt mehrere Rollen, die du auf den Server bekommen kannst, von denen einige nur mit einem [Blitzbot-Befehl](#lightning-commands) zugänglich sind.

### Moderator-Rollen
Diese Rollen werden Personen verliehen, denen man gut vertraut, um den Server zu verwalten. Sie haben die Möglichkeit Benutzer zu verbieten, zu kicken, zu stummen und anderen Rollen zu geben.

- Da Master - Die Rolle des Eigentümers
- Admin - Hat alle möglichen Berechtigungen, hat normalerweise das letzte Wort zwischen den Server-Maintainern
- Server-Maintainer - Helfen, die Serverregeln durchzusetzen und den Server zu verwalten. Wenn es ein Problem gibt, wenden Sie sich zuerst an sie, bevor Sie sich an höhere Stellen wenden

### Benutzer Flair-Rollen
Diese Rollen können nur von Moderatoren vergeben werden und zeigen an, dass diese Benutzer in diesen Bereichen sachkundig sind, einige geben Zugang zu privaten Kanälen. Wenn du denkst, dass du die Beschreibungen für eine dieser Rollen passt, frage in #community-meta. Die Moderatoren werden Ihre Anfrage anhand der Anforderungen der Rolle bewerten.

- Developers - Diese Rolle wird an diejenigen vergeben, die Code zur Nintendo DS-Szene beigetragen haben. Wenn Sie Projekte für diese Rolle haben, zeigen Sie sie in #nds-dev
- Helpers - Diese Rolle wird an diejenigen vergeben, die aktiv sinnvolle Hilfe in #nds-help leisten oder zur Kompatibilitätsmeldung beigetragen haben
    - Helfer haben keine Moderatorenrechte, bitte pingen Sie einen Moderator an, wenn eine Situation dies erfordert
- Nitro Booster - Wird automatisch an diejenigen vergeben, die dem Server Server Boosts gegeben haben. Diese Rolle hat keine zusätzlichen Berechtigungen und wird nicht in der Mitgliederliste aufgeführt

### Rollen der Bestrafung
Wenn Sie gegen die Regeln verstoßen haben, können Sie diese Rollen von einem Moderator erhalten.

- No Community - Entfernt den Zugang für alle Kanäle unter der Kategorie Community
- No Help - Entfernt den Zugang von [#nds-help][nds-help]
- No Reaction - Deaktiviert Reaktionsberechtigungen für alle Kanäle
- No VC - Entfernt den Zugriff auf den Sprachkanal
- Muted - Deaktiviert die Möglichkeit, Nachrichten zu senden

### Andere
Diese Rollen werden nur für sehr spezifische Zwecke von Moderatoren vergeben.

- Bots - Verwendet um die Discord Bots auf dem Server zu markieren
- Special Thanks - Personen, die einen wichtigen Beitrag zur Gemeinschaft geleistet haben

## Lightning Commands
Lightning ist ein Discord-Bot von [LightSage](https://github.com/LightSage), der nützliche Befehle für Modding-Communities enthält. Der gebräuchlichste Befehl ist `!togglerole`, mit dem Sie eine der folgenden Rollen erhalten:

- Updates - Erhalte Pings für Updates zu neuen Versionen von DS(i) Homebrew in #announcements
- Nintendo DS Online Players - Jeder kann diese Rolle in #nds-gaming anpingen, wenn er auf der Suche nach Leuten ist, mit denen er DS-Spiele online spielen kann
- Translators - Jeder, der benachrichtigt werden möchte, wenn er zu den Übersetzungen verschiedener DS-Homebrew-Projekte beiträgt

Es gibt eine Menge lustiger Befehle, die Sie ebenfalls ausführen können, aber bitte beschränken Sie diese auf [#end-of-server][end-of-server]. Weitere Informationen finden Sie auf ihrer Website: <https://lightning.lightsage.dev/>

**Lightning wird auch für Moderationszwecke verwendet (um Verwarnungen, Tritte, Stummschaltungen und Verbote zu protokollieren). Lassen Sie Direktnachrichten auf dem Server aktiviert, falls wir Sie jemals erreichen müssen.**

## Das Team der Mitarbeiter
Dies sind die Leute, die den Server betreuen. Wenn sie sagen, dass etwas endgültig ist, dann steht es nicht zur Debatte. Diese Mitglieder werden in der Mitgliederliste gejagt. Bitten Sie nicht, Teil des Teams zu sein, da dies Ihre Chance auf Akzeptanz verringert. Mitglieder werden dem Team hinzugefügt, wenn sie passend gesehen werden.

Besitzer: @rocketrobz

Administratoren: @shutterbug2000, @nightscript, @gericom., @apachethunder, @kaisaan

Server-Maintainer: @pk11.us, @kodtiz3d, @lifehackerhansol, @lightsage01, @kalamty

<!-- Discord channel links -->
[info-and-rules]: https://discord.com/channels/283769550611152897/626620520330428436
[useful-resources]: https://discord.com/channels/283769550611152897/638041441079263283
[member-logs]: https://discord.com/channels/283769550611152897/677714673663082529

[announcements]: https://discord.com/channels/283769550611152897/283771381735489537
[github-updates]: https://discord.com/channels/283769550611152897/450065134191116290
[subreddit-feed]: https://discord.com/channels/283769550611152897/869830055377928243
[community-meta]: https://discord.com/channels/283769550611152897/715651368391671919

[nds-help]: https://discord.com/channels/283769550611152897/332961165829210117
[nds-hardware]: https://discord.com/channels/283769550611152897/547986366357700620
[nds-hacks]: https://discord.com/channels/283769550611152897/356988919738400768
[nds-dev]: https://discord.com/channels/283769550611152897/835273459339624499

[nds-bootstrap-dev]: https://discord.com/channels/283769550611152897/283769550611152897
[twilight-menu-dev]: https://discord.com/channels/283769550611152897/489307733074640926
[gbarunner3-dev]: https://discord.com/channels/283769550611152897/620310871800807466
[dsi-ntrboot-dev]: https://discord.com/channels/283769550611152897/1193678677666431097
[web-dev]: https://discord.com/channels/283769550611152897/744649302567157800

[godmode9i]: https://discord.com/channels/283769550611152897/497960894660083732
[fastvideods]: https://discord.com/channels/283769550611152897/1021121766585806989
[other-nds-homebrew]: https://discord.com/channels/283769550611152897/1025388133388394547

[off-topic]: https://discord.com/channels/283769550611152897/286686210225864725
[nds-gaming]: https://discord.com/channels/283769550611152897/668680785154408448
[other-console-modding]: https://discord.com/channels/283769550611152897/653706029736919051
[other-dev]: https://discord.com/channels/283769550611152897/1169696607294468177
[end-of-server]: https://discord.com/channels/283769550611152897/283770736215195648
