---
lang: de-DE
layout: wiki
section: ds-index
category: guides
title: Welche DS Familie Konsole ist die beste für mich?
description: Betrachten Sie die Funktionen jeder Konsole um das beste DS(i) Modus Erlebnis zu entscheiden
---

Die Nintendo DS, Nintendo DSi, Nintendo 3DS und Nintendo 2DS Konsolen können alle im DS(i) Modus sowie im GBA Modus laufen. Um bei der Entscheidung zu helfen, welche Konsole am besten für Sie ist, lesen Sie bitte diese Seite.

| Eigenschaften                | Nintendo DS                                                                                     | Nintendo DSi                                                | Nintendo 3DS/2DS                                         |
| ---------------------------- | ----------------------------------------------------------------------------------------------- | ----------------------------------------------------------- | -------------------------------------------------------- |
| Maximaler Arbeitsspeicher    | 4 MB (bis zu 36 MB mit RAM-Erweiterung)                                      | 16MB                                                        | 32MB                                                     |
| Maximale CPU-Geschwindigkeit | 67mhz                                                                                           | 133mhz[^1]                                                  | 133mhz[^1]                                               |
| Kamera                       | Nein                                                                                            | Ja                                                          | Ja                                                       |
| Bildschirmtyp                | TN(?), Frontlit (Phat), Backlit (Lite) | TN (Normal), IPS (XL) | TN oder IPS (variiert je nach Modell) |
| Touch sensitivity            | Ja                                                                                              | DSi mode only                                               | Nein                                                     |
| Skalierung des Bildschirms   | Nein                                                                                            | Nein                                                        | Ja[^2]                                                   |
| Helligkeitsstufen            | 2 (On/Off für Phat), 4 (Lite)[^3]                                                               | 5                                                           | 5                                                        |
| Kompatibilität mit dem GBA   | Nativ, nahezu perfekt[^4]                                                                       | Sehr gut                                                    | Nativ, nahezu perfekt[^5]                                |
| DSiWare-Unterstützung        | Ja, Teilweise[^6]                                                                               | Ja[^7]                                                      | Ja[^7]                                                   |

[^1]: DS-Spiele laufen bei 67mhz, aber die meisten können so konfiguriert werden, dass sie mit 133mHz laufen, obwohl bestimmte Spiele Probleme haben werden.

[^2]: Beim Start im DS(i) Modus werden die Bildschirme nicht richtig skaliert und erscheinen nicht pixel-perfekt. Wenn Sie die START- oder SELECT-Taste gedrückt halten, wird die Skalierung des Bildschirms deaktiviert, aber es werden schwarze Ränder um die Bilder auf dem Bildschirm angezeigt.

[^3]: Spätere Phat-Modelle haben die gleichen Helligkeitsstufen wie das Lite-Modell, aber FlashMe muss installiert sein, um diese Level zu verwenden (zumindest im Originalmenü).

[^4]: Das einzige Spiel, von dem bekannt ist, dass es ein Kompatibilitätsproblem gibt, ist _MegaMan Battle Network 3_, das nach dem Capcom-Logo abstürzt.

[^5]: Große GBA-Video-ROMs (über 32 MB) werden nicht funktionieren. Gyro und Rumble Features werden auch nicht funktionieren.

[^6]: Die meisten unterstützten Titel benötigen nicht die Kamera. Siehe [diese Seite](https://github.com/DS-Homebrew/TWiLightMenu/blob/master/universal/include/compatibleDSiWareMap.h) für welche Titel unterstützt werden. **TW**i**L**ight Menu++ wird benötigt, um auf deiner Flashcard installiert zu werden.

[^7]: Wenn du **TW**i**L**ight Menu++ mit `DSiWare Booter` Einstellung auf `nds-bootstrap` gesetzt hast oder wenn du einen 3DS/2DS verwendest, dann ist die Kompatibilität fast perfekt.
